shibsp::AttributeFilter Class Referenceabstract

Engine for filtering attribute values. More...

`#include <shibsp/attribute/filtering/AttributeFilter.h>`

Inheritance diagram for shibsp::AttributeFilter:
[legend]
Collaboration diagram for shibsp::AttributeFilter:
[legend]

## Public Member Functions

virtual void | filterAttributes (const FilteringContext &context, std::vector< Attribute * > &attributes) const =0
| Filters values out of a set of attributes.

## Detailed Description

Engine for filtering attribute values.

## Member Function Documentation

## filterAttributes()

virtual void shibsp::AttributeFilter::filterAttributes | ( | const FilteringContext & | context,
|  | std::vector< Attribute * > & | attributes ) const

pure virtual

Filters values out of a set of attributes.

Parameters

  context | a FilteringContext interface
  attributes | a mutable array containing the attributes to filter

Exceptions

  AttributeFileringException | thrown if there is a problem filtering attributes

The documentation for this class was generated from the following file:

- shibsp/attribute/filtering/AttributeFilter.h